Managed Instance Long Term Retention Policies - Get

Gets a managed database's long term retention policy.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/backupLongTermRetentionPolicies/default?api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

managedInstanceName
path True

string

The name of the managed instance.

policyName
path True

ManagedInstanceLongTermRetentionPolicyName

The policy name. Should always be Default.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ManagedInstanceLongTermRetentionPolicy

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get the long term retention policy for the managed database.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testResourceGroup/providers/Microsoft.Sql/managedInstances/testInstance/databases/testDatabase/backupLongTermRetentionPolicies/default?api-version=2025-01-01

Sample response

{
  "name": "default",
  "type": "Microsoft.Sql/managedInstances/databases/backupLongTermRetentionPolicies",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testResourceGroup/providers/Microsoft.Sql/managedInstances/testInstance/databases/testDatabase/backupLongTermRetentionPolicies/default",
  "properties": {
    "backupStorageAccessTier": "Archive",
    "monthlyRetention": "P1Y",
    "weekOfYear": 5,
    "weeklyRetention": "P1M",
    "yearlyRetention": "P5Y"
  }
}

Definitions

Name Description
BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedInstanceLongTermRetentionPolicy

A long term retention policy.

ManagedInstanceLongTermRetentionPolicyName

The policy name. Should always be Default.

systemData

Metadata pertaining to creation and last modification of the resource.

BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

Value Description
Hot

Hot

Archive

Archive

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedInstanceLongTermRetentionPolicy

A long term retention policy.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.backupStorageAccessTier

BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backups

properties.monthlyRetention

string

The monthly retention policy for an LTR backup in an ISO 8601 format.

properties.weekOfYear

integer (int32)

The week of year to take the yearly backup in an ISO 8601 format.

properties.weeklyRetention

string

The weekly retention policy for an LTR backup in an ISO 8601 format.

properties.yearlyRetention

string

The yearly retention policy for an LTR backup in an ISO 8601 format.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedInstanceLongTermRetentionPolicyName

The policy name. Should always be Default.

Value Description
default

default

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.